Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1450749 (ovirt_ui_redesign) - [RFE][Tracker] UI re-design for 4.2
Summary: [RFE][Tracker] UI re-design for 4.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: ovirt_ui_redesign
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Alexander Wels
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks: 1012663 RHEV_Search_by_multiple_tags 1073370 1354140 1365687 1366228 1393992
TreeView+ depends on / blocked
 
Reported: 2017-05-15 06:28 UTC by Oved Ourfali
Modified: 2017-12-20 11:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The Administration Portal UI was redesigned and enhanced to match the latest PatternFly standards. Primary navigation has been converted to vertical navigation and replaces the system tree on the left side of the screen. The previous master-detail based view has been replaced with a page-per-object (one level of tabs) design.
Clone Of:
Environment:
Last Closed: 2017-12-20 11:22:18 UTC
oVirt Team: UX
rule-engine: ovirt-4.2?
pstehlik: testing_plan_complete-
rule-engine: planning_ack?
oourfali: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)

Description Oved Ourfali 2017-05-15 06:28:57 UTC
We plan a UI re-design for 4.2.
More details to follow.

Comment 1 Lucie Leistnerova 2017-11-02 11:03:37 UTC
New UI was delivered to QA for testing, it's installable and connectable. All issues will be reported as separate bugs.

ovirt-engine-4.2.0-0.0.master.20171101152059.git8b85834.el7.centos.noarch
ovirt-engine-webadmin-portal-4.2.0-0.0.master.20171101152059.git8b85834.el7.centos.noarch
ovirt-web-ui-1.2.1-1.el7.centos.noarch

Comment 2 Sandro Bonazzola 2017-12-20 11:22:18 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.